Bug 17695 - OpenGL and Compositing doesn't work properly
OpenGL and Compositing doesn't work properly
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915
git
Other All
: medium enhancement
Assigned To: Eric Anholt
Xorg Project Team
:
Depends on:
Blocks: 18841
  Show dependency treegraph
 
Reported: 2008-09-21 07:50 UTC by Sven Herzberg
Modified: 2009-08-24 12:30 UTC (History)
1 user (show)

See Also:


Attachments
Demo Code - directly from the GtkGlExt examples (8.79 KB, text/x-csrc)
2008-09-21 07:50 UTC, Sven Herzberg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Herzberg 2008-09-21 07:50:15 UTC
Created attachment 19062 [details]
Demo Code - directly from the GtkGlExt examples

I'm working on a little OpenGL app, which doesn't permanently redraw at a fixed framerate (only when animations are running or expose events are triggered).

It works really nicely as long as there's no compositor around. I tested two compositors (metacity's current ony and xcompmgr). As I tested different composite managers, I think the bug is in the driver.

I'll attach sourcecode for a simple demo application (using GtkGLExt - debian package libgtkglext1-dev) which works fine in the non-composited environment but in a composited environment, when I move the window from one workspace to the other, the application doesn't redraw (I'm seeing random-memory artifacts in the window).

I'll attach demo source code.

DEBUG INFORMATION:
> dpkg -l xserver-xorg-video-intel metacity xcompmgr
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-f/Unpacked/Failed-cfg/Half-inst/t-aWait/T-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name                          Version                       Beschreibung
+++-=============================-=============================-==========================================================================
ii  metacity                      1:2.22.0-0ubuntu4             A lightweight GTK2 based Window Manager
ii  xcompmgr                      1.1.3+git20071107-0ubuntu1    X composition manager
ii  xserver-xorg-video-intel      2:2.2.1-1ubuntu13.6           X.Org X server -- Intel i8xx, i9xx display driver
Comment 1 Gordon Jin 2008-09-22 02:01:15 UTC
The driver version is a bit old.
Shuang, can you reproduce with the attached program with the latest driver?
Comment 2 Eric Anholt 2008-09-23 17:16:43 UTC
You need DRI2 for OpenGL and compositing to work.  It's currently in branches, and should be available and stable in our Q4 release.
Comment 3 Eric Anholt 2008-12-19 13:57:13 UTC
Fixed with DRI2.
Comment 4 Sven Herzberg 2008-12-22 06:28:33 UTC
Thanks a lot for fixing this, Eric.
Comment 5 ajax at nwnk dot net 2009-08-24 12:30:52 UTC
Mass version move, cvs -> git